Bug 10569 - Rename checks prevent conflict resolution and create DRS lockups
Rename checks prevent conflict resolution and create DRS lockups
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.1.7
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 10419
  Show dependency treegraph
 
Reported: 2014-04-27 23:15 UTC by Andrew Bartlett
Modified: 2016-07-28 23:41 UTC (History)
1 user (show)

See Also:


Attachments
4.1 patch cherry-picked from master (18.56 KB, patch)
2014-04-27 23:15 UTC, Andrew Bartlett
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2014-04-27 23:15:15 UTC
Created attachment 9880 [details]
4.1 patch cherry-picked from master

This patch allows conflict resolution under CN=System, and appears to co-incidentally fix a nasty DRS lockup due to nested event loops and nested transactions seen by Univention.
Comment 1 Andrew Bartlett 2014-04-27 23:15:46 UTC
Comment on attachment 9880 [details]
4.1 patch cherry-picked from master

I would like to see this in Samba 4.1.
Comment 2 Karolin Seeger 2014-04-29 08:35:04 UTC
Pushed to autobuild-v4-1-test.
Comment 3 Karolin Seeger 2014-05-20 09:53:06 UTC
(In reply to comment #2)
> Pushed to autobuild-v4-1-test.

Pushed to v4-1-test.
Closing out bug report.

Thanks!